> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update authenticated user notification preferences



## OpenAPI

````yaml /api-referansi/openapi.json put /v1/account/notification-preferences
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: >-
    Flextell REST API referansı. Kimlik doğrulama, scope ve istek kuralları için
    API sekmesindeki rehberlere bakın.
servers:
  - url: https://app.flextell.ai/api
    description: Üretim
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/account/notification-preferences:
    put:
      tags:
        - Account
      summary: Update authenticated user notification preferences
      operationId: account.notification-preferences.update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountNotificationPreferencesUpdateRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NotificationPreferenceResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AccountNotificationPreferencesUpdateRequest:
      type: object
      properties:
        preferences:
          type: array
          description: The notification preferences to update.
          items:
            type: object
            description: A notification preference.
            properties:
              type:
                $ref: '#/components/schemas/NotificationType'
                description: The notification type.
              enabled:
                type: boolean
                description: Whether the notification type is enabled.
            required:
              - type
              - enabled
          minItems: 1
      required:
        - preferences
      title: AccountNotificationPreferencesUpdateRequest
    NotificationPreferenceResource:
      type: object
      properties:
        type:
          type: string
        label:
          type: string
        category:
          type: string
        category_label:
          type: string
        enabled:
          type: boolean
      required:
        - type
        - label
        - category
        - category_label
        - enabled
      title: NotificationPreferenceResource
    NotificationType:
      type: string
      enum:
        - appointment_created
        - appointment_assignment
        - appointment_status_changed
        - appointment_rescheduled
        - appointment_bulk_reschedule
        - appointment_reschedule_no_alternative
        - chat_new_message
        - ticket_created
        - ticket_assigned
        - ticket_status_changed
        - lead_unassigned
        - lead_task_assigned
        - lead_task_due
        - lead_bulk_operation
        - inventory_low_stock
        - storage_file_uploaded
        - storage_overage
        - sales_export
        - customer_balance_export
        - announcement_updated
        - panel_ticket_created
        - panel_ticket_status_updated
        - ai_report_ready
        - ai_report_failed
      title: NotificationType
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.